import { QueryManager, QueryManagerOptions } from '@apollo/client/core/QueryManager';
import { LocalState } from '@apollo/client/core/LocalState';
import { MockedResponse } from './mockLinks';
export declare const getDefaultOptionsForQueryManagerTests: <TStore>(options: Pick<QueryManagerOptions<TStore>, "cache" | "link"> & Partial<QueryManagerOptions<TStore>>) => {
    link: import("@apollo/client").ApolloLink;
    cache: import("@apollo/client/cache").ApolloCache<TStore>;
    defaultOptions: any;
    documentTransform: import("@apollo/client").DocumentTransform | null | undefined;
    queryDeduplication: boolean;
    onBroadcast: undefined | (() => void);
    ssrMode: boolean;
    clientAwareness: Record<string, string>;
    localState: LocalState<TStore>;
    assumeImmutableResults: boolean;
    defaultContext: Partial<import("@apollo/client").DefaultContext> | undefined;
};
declare const _default: (...mockedResponses: MockedResponse[]) => QueryManager<import("@apollo/client/cache").NormalizedCacheObject>;
export default _default;
//# sourceMappingURL=mockQueryManager.d.ts.map